package com.inspect.patrol.linkage.block;

import com.inspect.patrol.annotation.CimeAnnotation;

public class DeviceInfoBlock implements IBlock {
   @CimeAnnotation("序号")
   private String serialNo;
   @CimeAnnotation("站序号")
   private String stationNo;
   @CimeAnnotation("监控索引号")
   private String monitorIndexNo;
   @CimeAnnotation("设备名称")
   private String deviceName;
   @CimeAnnotation("设备类型")
   private String linkageSignal;
   @CimeAnnotation("实物ID")
   private String entityId;
   @CimeAnnotation("是否联动信号")
   private String isLinkageSign;

   public String getSerialNo() {
      return this.serialNo;
   }

   public void setSerialNo(String serialNo) {
      this.serialNo = serialNo;
   }

   public String getStationNo() {
      return this.stationNo;
   }

   public void setStationNo(String stationNo) {
      this.stationNo = stationNo;
   }

   public String getMonitorIndexNo() {
      return this.monitorIndexNo;
   }

   public void setMonitorIndexNo(String monitorIndexNo) {
      this.monitorIndexNo = monitorIndexNo;
   }

   public String getDeviceName() {
      return this.deviceName;
   }

   public void setDeviceName(String deviceName) {
      this.deviceName = deviceName;
   }

   public String getLinkageSignal() {
      return this.linkageSignal;
   }

   public void setLinkageSignal(String linkageSignal) {
      this.linkageSignal = linkageSignal;
   }

   public String getEntityId() {
      return this.entityId;
   }

   public void setEntityId(String entityId) {
      this.entityId = entityId;
   }

   public String getIsLinkageSign() {
      return this.isLinkageSign;
   }

   public void setIsLinkageSign(String isLinkageSign) {
      this.isLinkageSign = isLinkageSign;
   }
}
